> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeEntry

> Get a specific time entry by ID



## OpenAPI

````yaml GET /time-entry/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /time-entry/{id}:
    get:
      tags:
        - Time Entries
      summary: Get Time Entry
      description: Get a specific time entry by ID
      operationId: getTimeEntry
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Time entry details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  taskId:
                    type: string
                  userId:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  startTime:
                    type: string
                    format: date-time
                  endTime:
                    type: string
                    format: date-time
                  duration:
                    type: number
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - taskId
                  - userId
                  - description
                  - startTime
                  - duration
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````